aboutsummaryrefslogtreecommitdiffstats
path: root/testsuite/gna/ticket24/testsuite.sh
diff options
context:
space:
mode:
authortgingold <tgingold@users.noreply.github.com>2022-07-03 21:22:27 +0200
committerGitHub <noreply@github.com>2022-07-03 21:22:27 +0200
commit87caff1d542289f494816489bd01b964df5cfce0 (patch)
tree4d467c3cf6b80392388d405346ffadc17501242f /testsuite/gna/ticket24/testsuite.sh
parent2f676555ebf83280788f47f04fb22e7a8bf2b53f (diff)
parenta728cb60fb3c9b5df609e2e19c1b3d70b83e0784 (diff)
downloadghdl-87caff1d542289f494816489bd01b964df5cfce0.tar.gz
ghdl-87caff1d542289f494816489bd01b964df5cfce0.tar.bz2
ghdl-87caff1d542289f494816489bd01b964df5cfce0.zip
Merge pull request #2059 from Xiretza/testsuite-show-diffs
fix(testsuite): show diffs on comparison failure
Diffstat (limited to 'testsuite/gna/ticket24/testsuite.sh')
-rwxr-xr-xtestsuite/gna/ticket24/testsuite.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/testsuite/gna/ticket24/testsuite.sh b/testsuite/gna/ticket24/testsuite.sh
index 1bef788f2..691c6a516 100755
--- a/testsuite/gna/ticket24/testsuite.sh
+++ b/testsuite/gna/ticket24/testsuite.sh
@@ -8,7 +8,7 @@ elab psl
if ghdl_has_feature psl psl; then
simulate psl --psl-report=psl.out
- if ! diff_nocr psl.out psl.ref > /dev/null; then
+ if ! diff_nocr psl.out psl.ref; then
echo "report mismatch"
exit 1
fi
@@ -24,7 +24,7 @@ elab -fpsl psl
if ghdl_has_feature psl psl; then
simulate psl --psl-report=psl.out
- diff_nocr -q psl.out psl.ref
+ diff_nocr psl.out psl.ref
rm -f psl.out
fi